import { OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Location } from '@angular/common';
import { DataManager } from '../../core/dataManager.service';
import * as i0 from "@angular/core";
export declare class AuditLogViewComponent implements OnInit {
    private dataManager;
    private route;
    private location;
    logInfo: any;
    showDeltaChanges: boolean;
    changeList: any[];
    constructor(dataManager: DataManager, route: ActivatedRoute, location: Location);
    ngOnInit(): void;
    getTransformedChanges(): void;
    fetchLogDetail(logId: any): Promise<void>;
    patchDelta(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditLogViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuditLogViewComponent, "app-audit-log-view", never, {}, {}, never, never, false, never>;
}
